#include <iostream>
#include <algorithm>
using namespace std;
void bblsort(int arr[], int n)
{
    for (int i = 0; i < n - 1; i++)
 {
        for (int j = 0; j < n - i - 1; j++)
        {
            if (arr[j] > arr[j + 1])
                swap(arr[j], arr[j + 1]);
        }
 }
}
int sekvPret(int a[],int n,int x)
{

    for(int i=0;i<n;i++)
    {
        if(a[i] == x)
            return i;
    }
    return -1;
}
int resavac(int a[],int n,int x)
{
    int l,d,m,pokreti;
    bblsort(a,n);
     m=sekvPret(a,n,x);
     if(m == -1)
     {
         n++;
         a[n-1]=x;
         bblsort(a,n);
         m=sekvPret(a,n,x);
         l=m;
         d=n-(m+1);
         if(d==l || l-d == 1 )
              return 1;
         if(d>l)
            return (d-l + 1);
         if(l>d)
            return (l-(d+1)+1);
     }
    else
    {
        l=m;
        d=n-(1+m);
        if(d==l || l-d ==1 )
            return 0;
        if(d>l)
            return d-l;
        if(l>d)
            return l-(d+1);

    }

}
int main()
{
    int N,Q;
    cin>>N>>Q;
    int A[N+1],B[Q];
    for(int i=0;i<N;i++)
    {
        cin>>A[i];
    }
    for(int i=0;i<Q;i++)
    {
        cin>>B[i];
    }
    for(int i=0;i<Q;i++)
    {
        cout<<resavac(A,N,B[i])<<endl;
    }
}